Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | METHOD | DETAIL: FIELD | METHOD

## org.gradle.api.artifacts
[Java] Interface ConfigurationContainer

    org.gradle.api.NamedDomainObjectCollection
      org.gradle.api.DomainObjectCollection
          org.gradle.api.artifacts.ConfigurationContainer
              org.gradle.api.NamedDomainObjectContainer

All Superinterfaces:
  NamedDomainObjectCollection, DomainObjectCollection, NamedDomainObjectContainer

    public interface ConfigurationContainer
    extends NamedDomainObjectCollection, NamedDomainObjectContainer

A `ConfigurationContainer` is responsible for managing a set of Configuration instances.

You can obtain a `ConfigurationContainer` instance by calling Project.getConfigurations, or using the `configurations` property in your build script.

The configurations in a container are accessable as read-only properties of the container, using the name of the configuration as the property name. For example:

     configurations.add('myConfiguration')
     configurations.myConfiguration.transitive = false

A dynamic method is added for each configuration which takes a configuration closure. This is equivalent to calling getByName(String, groovy.lang.Closure). For example:

     configurations.add('myConfiguration')
     configurations.myConfiguration {
         transitive = false
     }

Authors:
  Hans Dockter

Method Summary
`Configuration` | `add(java.lang.String name)` Adds a configuration with the given name.
`Configuration` | `add(java.lang.String name, groovy.lang.Closure configureClosure)` Adds a configuration with the given name.
`Configuration` | `detachedConfiguration(Dependency dependencies)` Creates a configuration, but does not add it to this container.
`Configuration` | `getAt(java.lang.String name)` {@inheritDoc}
`Configuration` | `getByName(java.lang.String name)` {@inheritDoc}
`Configuration` | `getByName(java.lang.String name, groovy.lang.Closure configureClosure)` {@inheritDoc}

Methods inherited from interface NamedDomainObjectCollection
findByName, getAsMap, getAt, getByName, getByName, matching, matching, withType

Methods inherited from interface NamedDomainObjectContainer
addRule, addRule, getRules

Methods inherited from interface NamedDomainObjectCollection
findByName, getAsMap, getAt, getByName, getByName, matching, matching, withType

Method Detail

### add

    public Configuration add(java.lang.String name)

  Adds a configuration with the given name.
  throws:
    InvalidUserDataException when a configuration with the given name already exists in this container.
  Parameters:
    `name` - The name of the new configuration.
  Returns:
    The newly added configuration.

### add

    public Configuration add(java.lang.String name, groovy.lang.Closure configureClosure)

  Adds a configuration with the given name. The given configuration closure is executed against the configuration before it is returned from this method.
  throws:
    InvalidUserDataException when a configuration with the given name already exists in this container.
  Parameters:
    `name` - The name of the new configuration.
    `configureClosure` - The closure to use to configure the configuration.
  Returns:
    The newly added configuration.

### detachedConfiguration

    public Configuration detachedConfiguration(Dependency dependencies)

  Creates a configuration, but does not add it to this container.
  Parameters:
    `dependencies` - The dependencies of the configuration.
  Returns:
    The configuration.

### getAt

    public Configuration getAt(java.lang.String name)

  {@inheritDoc}

### getByName

    public Configuration getByName(java.lang.String name)

  {@inheritDoc}

### getByName

    public Configuration getByName(java.lang.String name, groovy.lang.Closure configureClosure)

  {@inheritDoc}

Groovy Documentation